config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Keep same perms on rc.bacula.new:
if [ -e etc/rc.d/rc.bacula ]; then
  cp -a etc/rc.d/rc.bacula etc/rc.d/rc.bacula.new.incoming
  cat etc/rc.d/rc.bacula.new > etc/rc.d/rc.bacula.new.incoming
  mv etc/rc.d/rc.bacula.new.incoming etc/rc.d/rc.bacula.new
fi

config etc/bacula/bacula-dir.conf.new
config etc/bacula/bacula-fd.conf.new
config etc/bacula/bacula-sd.conf.new
config etc/bacula/bconsole.conf.new
config etc/logrotate.d/bacula.new
config etc/rc.d/rc.bacula.new

( cd usr/lib64/bacula ; ./postinstall.sh )
( cd usr/lib64 ; rm -rf libbacsql.so )
( cd usr/lib64 ; ln -sf libbacsql-5.0.1.so libbacsql.so )
( cd usr/lib64 ; rm -rf libbacpy.so )
( cd usr/lib64 ; ln -sf libbacpy-5.0.1.so libbacpy.so )
( cd usr/lib64 ; rm -rf libbaccfg.so )
( cd usr/lib64 ; ln -sf libbaccfg-5.0.1.so libbaccfg.so )
( cd usr/lib64 ; rm -rf libbacfind.so )
( cd usr/lib64 ; ln -sf libbacfind-5.0.1.so libbacfind.so )
( cd usr/lib64 ; rm -rf libbac.so )
( cd usr/lib64 ; ln -sf libbac-5.0.1.so libbac.so )
